Summary: A low-level fullscreen SVGA graphics library.
Name: svgalib
Version: 1.3.1
Release: 5
Exclusivearch: i386
Exclusiveos: Linux
Copyright: distributable
Group: System Environment/Libraries
Source: http://www.cs.bgu.ac.il/~zivav/svgalib/svgalib-1.3.1.19981020.tar.gz
Patch0: svgalib-1.3.1-config.patch
Patch1: svgalib-1.2.13-buildroot.patch
Patch2: svgalib-1.3.0-secu.patch
Patch3: svgalib-1.3.1-glibc.patch
Patch4: svgalib-1.3.1-closebug.patch
Patch5: svgalib-1.3.1-tmp2var.patch
Buildroot: /var/tmp/svgalib-root

%description
The svgalib package provides the SVGAlib low-level graphics library for
Linux.  SVGAlib is a library which allows applications to use full
screen graphics on a variety of hardware platforms.  Many games and
utilities use SVGAlib for their graphics.

You'll need to have the svgalib package installed if you use any of the
programs which rely on SVGAlib for their graphics support.

%package devel
Summary: Development tools for programs using the SVGAlib graphics library.
Group: Development/Libraries
Requires: svgalib

%description devel
The svgalib-devel package contains the libraries and header files
needed to build programs which will use the SVGAlib low-level graphics
library.

Install the svgalib-devel package if you want to develop applications
which will use the SVGAlib library.

%prep
%setup -q
gzip -d doc/man?/*gz
%patch0 -p1 -b .config
%patch1 -p1 -b .buildroot
%patch2 -p1 -b .secu
%patch3 -p1 -b .glibc
%patch4 -p1 -b .closebug
%patch5 -p1 -b .tmp2var
# install installs all files in man dirs, need to get rid of prepatch 
# versions
find doc -name \*.tmp2var | xargs rm
gzip doc/man*/*

%build
make static shared

%install
export PATH=/sbin:$PATH
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/vga,lib}
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,lib,man/man{1,3,5,6,7}}
mkdir -p $RPM_BUILD_ROOT/var/lib/svgalib
make install TOPDIR=$RPM_BUILD_ROOT

strip $RPM_BUILD_ROOT/usr/bin/restorefont
strip $RPM_BUILD_ROOT/usr/bin/restorepalette
strip $RPM_BUILD_ROOT/usr/bin/dumpreg
strip $RPM_BUILD_ROOT/usr/bin/restoretextmode

%preun
if [ $1 = 0 ]; then
  rm -f /var/lib/svgalib/fontdata
  rm -f /var/lib/svgalib/textregs
fi

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/vga/*
/usr/bin/*
%doc doc/CHANGES doc/CHANGES.mach64 doc/DESIGN
%doc doc/FILES doc/Makefile doc/README.joystick doc/README.patching
%doc doc/SECURITY.advisory doc/TODO
%doc 0-README 0-INSTALL 0-RELEASE
/usr/lib/libvga.so.*
/usr/lib/libvgagl.so.*
/usr/man/man1/*
/usr/man/man5/*
/usr/man/man6/*
/usr/man/man7/*
%attr(1777,root,root) %dir /var/lib/svgalib

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*.a
/usr/lib/*.so
/usr/man/man3/*

%changelog
* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- moved temporary svgalib files to /var/lib/svgalib

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- verify dumpreg is not setuid (problem #760)
- specfile fiddles

* Thu Jul 30 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.0
- security patch

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Mon Apr 06 1998 Erik Troan <ewt@redhat.com>
- updated to svgalib 1.2.13
- uses a build root

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- removed Mach64 from configuration, as the driver does not work

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

